/**
 * Object represents the update status of the controller components
 *
 * UpdatesAvailable - array of updates associated with components that coud be update.
 * UpdatesNotAvailable - rest of components that do not require updating or components that retruns some errors while checking of updates.
 */
export class ControllerUpdatesInfo {
    constructor() {
        this.UpdatesAvailable = [];
        this.UpdatesNotAvailable = [];
    }
}
export class ControllerVersion {
    constructor() {
        this.Resource = "";
        this.Version = "";
        this.Type = null;
    }
}
export var ControllerUpdateType;
(function (ControllerUpdateType) {
    ControllerUpdateType[ControllerUpdateType["RadioUpdate"] = 0] = "RadioUpdate";
    ControllerUpdateType[ControllerUpdateType["SoftwareUpdate"] = 1] = "SoftwareUpdate";
})(ControllerUpdateType || (ControllerUpdateType = {}));
//# sourceMappingURL=IUpdateInfo.js.map