export declare class Helpers {
    static GenerateUUID(): string;
}
export declare class Task {
    static Delay(ms: number): Promise<void>;
}
/**
 * Type to generate int range types
 */
declare type Enumerate<N extends number, Acc extends number[] = []> = Acc['length'] extends N ? Acc[number] : Enumerate<N, [...Acc, Acc['length']]>;
export declare type IntRange<F extends number, T extends number> = Exclude<Enumerate<T>, Enumerate<F>>;
export {};
